#include "adisk.h"
#include <ctype.h>

int fd_drv(int c)
/* 'A'〜'Z'によるドライブ指定をドライブ番号0〜25に変換する */
/* '0'〜'3'によるドライブ指定があるとき、それをＦＤの実ドライブに変換する */
/* '4'〜'9'による指定があるときは、それをＲＡＭＤＩＳＫの実ドライブに変換する */
{
	if (!isalnum(c)) return(-1);
	/* 英数字のみ有効 */
	if (isdigit(c)) {
		c=(c>='4'? get_ramdisk(c-'4'):get_2hd(c-'0',0));
		return(c-1); 
	}
	return(toupper(c)-'A');
}
